Migration LMDE2 - LMDE3 : erreur mintupgrade

Assistance Générale
Répondre
jpk69
Messages : 6
Enregistré le : mer. 12 juil. 2017 13:42

Migration LMDE2 - LMDE3 : erreur mintupgrade

Message par jpk69 » jeu. 10 oct. 2019 19:25

Bonjour
Je n'arrive pas à migrer de LMDE2 à LMDE3 en suivant la démarche officielle ici : https://community.linuxmint.com/tutorial/view/2419
Aucun souci jusqu'à D4 - Chek the upgrade : "mintupgrade check" :

Code : Tout sélectionner

 .......:~$ mintupgrade check
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apt/package.py", line 32, in <module>
    from http.client import BadStatusLine
  File "/usr/lib/python3.4/http/client.py", line 69, in <module>
    import email.parser
  File "/usr/lib/python3.4/email/parser.py", line 12, in <module>
    from email.feedparser import FeedParser, BytesFeedParser
  File "/usr/lib/python3.4/email/feedparser.py", line 27, in <module>
    from email import message
  File "/usr/lib/python3.4/email/message.py", line 16, in <module>
    from email import utils
  File "/usr/lib/python3.4/email/utils.py", line 31, in <module>
    import urllib.parse
ImportError: No module named 'urllib'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/mintupgrade", line 3, in <module>
    import sys, os, apt
  File "/usr/lib/python3/dist-packages/apt/__init__.py", line 26, in <module>
    from apt.package import Package
  File "/usr/lib/python3/dist-packages/apt/package.py", line 36, in <module>
    from httplib import BadStatusLine
ImportError: No module named 'httplib'
Google ne me donne pas d'info sur cette erreur dans le cas de mintupgrade, je ne trouve que des références à des erreurs Python, logiciel que je ne manipule pas, où alors à l'insu de mon plein gré ($python --version : Python 2.7.9)
J'ai la même erreur avec mintupdate, alors qu'en même temps "apt update" en ligne de commande marche très bien (je suis toujours en lmde2).
J'ai ré-installé mintupgrade, et pas qu'une fois, sans résultats.

Merci par avance.
Modifié en dernier par débitant le jeu. 10 oct. 2019 22:11, modifié 1 fois.
Raison : changer les balises quote en balises code
LMDE 3 Cindy + Cinnamon / SAN Synology

Avatar du membre
débitant
modérateur
Messages : 9634
Enregistré le : mar. 14 juil. 2015 18:22
Localisation : Lorraine France

Re: Migration LMDE2 - LMDE3 : erreur mintupgrade

Message par débitant » dim. 24 nov. 2019 20:58

bonjour
ne pas confondre les balises "quote" (pour citer quelqu'un, etc) et les balises "code" (pour tout ce qui touche au terminal );
j'ai repris ton message
pour l'utilisation des balises voir tuto barre d'outils des messages

Avatar du membre
yomane
Messages : 169
Enregistré le : mar. 16 août 2016 16:36
Contact :

Re: Migration LMDE2 - LMDE3 : erreur mintupgrade

Message par yomane » mer. 27 nov. 2019 17:24

jpk69

Essaye d'installer python3, ...

C'est juste une piste, bon nombre de problème python en ce qui me concerne on été résolu en installant python3 et 2

a++
Image
[/img]Discord : Invitation => https://discord.gg/HBWnGy3
"Jamais Souris ne confie a un seul trou sa Destinée"

Répondre